Skip to main content
GET
/
{org}
/
webhook-targets
List webhook targets
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/webhook-targets \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "webhook_targets": [
    {
      "id": "<string>",
      "url": "<string>",
      "events": [
        "repo.created"
      ],
      "repo_ids": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
Required scope: admin

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
Minimum string length: 1

Query Parameters

cursor
string

Opaque pagination cursor from a previous response

limit
integer

Maximum number of items to return (max 100)

Required range: 1 <= x <= 100

Response

Webhook target list

next_cursor
string | null
required

Cursor for the next page, or null when no more results remain

has_more
boolean
required

Whether another page of results is available

webhook_targets
object[]
required